﻿Type=StaticCode
Version=2.2
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals

	Private db			As SQL
	Private parentForm	As Form
	Private MsgBox		As Msgboxes

	Private pneArcher			As Pane
	Private cboDefaultClass		As ComboBox
	Private cboDefaultDivision	As ComboBox
	Private txtAANumber			As TextField
	Private txtLastName			As TextField
	Private txtFirstName		As TextField
	Private txtRGB				As TextField
	Private txtClub				As TextField
	Private txtDateOfBirth		As TextField
	Private adpDateOfBirth		As jAnotherDatePicker
	Private rdbMale				As RadioButton
	Private rdbFemale			As RadioButton
	Private btnDateOfBirth		As Button
	Private adpDateOfBirth		As jAnotherDatePicker

	Private cxiArcherNew As MenuItem
	Private cxiArcherUpdate As MenuItem
	Private cxiArcherDelete As MenuItem
End Sub

Sub Setup(pDb As SQL, pParentForm As Form) As Pane

	pneArcher.Initialize(Null)
	pneArcher.LoadLayout("ArcherPage")
	db = pDb
	parentForm = pParentForm
	ArcherRecord.FillArcherDefaultClass(db, cboDefaultClass.Items)
	ArcherRecord.FillArcherDefaultDivision(db, cboDefaultDivision.Items)
	adpDateOfBirth.Initialize(parentForm)
	Return pneArcher

End Sub

Sub DisplayData()

	txtLastName.Text			= ArcherRecord.lastNameGet
	txtFirstName.Text			= ArcherRecord.firstNameGet
	txtDateOfBirth.Text			= ArcherRecord.dateOfBirthGet("dd-MM-yyyy")
	txtAANumber.Text			= ArcherRecord.aaNumberGet
	txtRGB.Text					= ArcherRecord.rgbGet
	txtClub.Text				= ArcherRecord.clubGet
	cboDefaultDivision.Value	= ArcherRecord.bowTypeGet
	cboDefaultClass.Value		= ArcherRecord.archerCategoryGet
	Select ArcherRecord.genderGet
		Case "M"
			rdbMale.Selected = True
			rdbFemale.Selected = False
		Case "F"
			rdbMale.Selected = False
			rdbFemale.Selected = True
		Case Else
			rdbMale.Selected = False
			rdbFemale.Selected = False
	End Select

End Sub

Sub txtClub_TextChanged (Old As String, New As String)

	ArcherRecord.clubSet(New)

End Sub

Sub txtRGB_TextChanged (Old As String, New As String)

	ArcherRecord.rgbSet(New)

End Sub

Sub txtFirstName_TextChanged (Old As String, New As String)

	ArcherRecord.firstNameSet(New)

End Sub

Sub txtLastName_TextChanged (Old As String, New As String)

	ArcherRecord.lastNameSet(New)

End Sub

Sub txtAANumber_TextChanged (Old As String, New As String)

	ArcherRecord.aaNumberSet(New)

End Sub

Sub rdbFemale_SelectedChange(Selected As Boolean)

	If Selected Then
		ArcherRecord.genderSet("F")
	End If

End Sub

Sub rdbMale_SelectedChange(Selected As Boolean)

	If Selected Then
		ArcherRecord.genderSet("M")
	End If

End Sub

Sub cboDefaultClass_ValueChanged (Value As Object)

	ArcherRecord.archerCategorySet(cboDefaultClass.Value)

End Sub

Sub cboDefaultDivision_ValueChanged (Value As Object)

	ArcherRecord.bowTypeSet(cboDefaultDivision.Value)

End Sub

Sub txtDateOfBirth_TextChanged (Old As String, New As String)

	ArcherRecord.dateOfBirthSet(New)

End Sub

Sub btnDateOfBirth_MouseClicked (EventData As MouseEvent)

	If adpDateOfBirth.Show Then
		DateTime.DateFormat = "dd-MM-yyyy"
		txtDateOfBirth.Text = DateTime.date(adpDateOfBirth.date)
	End If
	ArcherRecord.dateOfBirthSet(txtDateOfBirth.Text)

End Sub

Sub cxiArcherDelete_Action


End Sub

Sub cxiArcherUpdate_Action


End Sub

Sub cxiArcherNew_Action


End Sub