﻿Type=StaticCode
Version=2.2
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
End Sub

Public Sub ExecuteTableView(pDB As SQL, pQuery As String, pArgs() As String, pLimit As Int, _
	pTableView As TableView, pColumnHeaders As List)
	Dim cur As ResultSet

	pTableView.Items.Clear
	If pArgs = Null Then 
		Dim pArgs(0) As String
	End If
	cur = pDB.ExecQuery2(pQuery,pArgs)
	pTableView.SetColumns(pColumnHeaders)
	Do While cur.NextRow
		Dim values(cur.ColumnCount) As String
		For col = 0 To cur.ColumnCount - 1
			values(col) = cur.GetString2(col)
		Next
		pTableView.Items.Add(values)
		If pLimit > 0 AND pTableView.Items.Size >= pLimit Then Exit
	Loop
	cur.Close

End Sub
